%define _libtoolize true

Name:		quiteinsane
Version:	0.10
Release:	%mkrel 5
License:	GPL
Group:		Graphics
URL:		http://quiteinsane.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
Patch0:         quiteinsane-0.10-gcc34.patch.bz2
Patch1:		quiteinsane-0.10-fix-libpaths.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Summary:	KDE Scanning application 
BuildRequires:	kdelibs-devel sane-devel ImageMagick
#redundant requires for 9.1:
BuildRequires:	libusb-devel libieee1284-devel libexif-devel

%description
QuiteInsane is a graphical frontend for SANE ("Scanner Access Now Easy").

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
export LDFLAGS="-L%{_libdir}"
%configure2_5x --with-qt-dir=$QTDIR --enable-mt --enable-kde-app --disable-rpath \
--with-qt-libraries=$QTDIR/%_lib
%make

%install
rm -Rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" \
icon="%{name}.png" \
needs="X11" \
section="Multimedia/Graphics" \
title="QuiteInsane" \
longtitle="QuiteInsane is a graphical scanning frontend for SANE"
EOF

mkdir -p %{buildroot}/{%{_miconsdir},%{_liconsdir}}
convert -resize 16x16 %{name}/docs/en/qi_small.png %{buildroot}/%{_miconsdir}/%{name}.png
convert -resize 32x32 %{name}/docs/en/qi_small.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -resize 48x48 %{name}/docs/en/qi_small.png %{buildroot}/%{_liconsdir}/%{name}.png

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -Rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/doc
%dir %{_datadir}/%{name}/locale
%lang(es) %{_datadir}/%{name}/locale/*.es.qm
%lang(de) %{_datadir}/%{name}/locale/*de.qm
%lang(fr) %{_datadir}/%{name}/locale/*.fr.qm
%lang(ru) %{_datadir}/%{name}/locale/*.ru.qm
%doc AUTHORS BUGS ChangeLog COPYING INSTALL PROBLEMS README TODO

%changelog
* Tue May 16 2006 Buchan Milne <bgmilne@mandriva.org> 0.10-5mdk
- really fix build on x86_64

* Thu Jan 19 2006 Buchan Milne <bgmilne@mandriva.org> 0.10-4mdk
- fix build on x86_64
- %%mkrel

* Mon Mar 21 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.10-3mdk
- rebuild

* Thu Jul 01 2004 Michael Scherer <misc@mandrake.org> 0.10-2mdk 
- rebuild for new gcc, patch #0

* Fri Sep 19 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.10-1mdk
- First Mandrake package
